<wsdl:definitions
  targetNamespace="http://orchestra.ow2.org/loanApproval/loanService"
  xmlns:tns="http://orchestra.ow2.org/loanApproval/loanService"
  xmlns:common="http://orchestra.ow2.org/loanApproval/common"
  xmlns:risk="http://orchestra.ow2.org/loanApproval/riskAssessment"
  xmlns:approval="http://orchestra.ow2.org/loanApproval/approval"
  xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
  xmlns="http://schemas.xmlsoap.org/wsdl/"
  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema">

  <wsdl:import location="common.wsdl" namespace="http://orchestra.ow2.org/loanApproval/common"/>
  <wsdl:import location="approval/approval.wsdl" namespace="http://orchestra.ow2.org/loanApproval/approval"/>
  <wsdl:import location="riskAssessment/riskAssessment.wsdl" namespace="http://orchestra.ow2.org/loanApproval/riskAssessment"/>

  <plnk:partnerLinkType name="loanServiceLT">
    <plnk:role name="loanService" portType="tns:loanServicePT" />
  </plnk:partnerLinkType>
  <plnk:partnerLinkType name="riskAssessmentLT">
    <plnk:role name="assessor" portType="risk:riskAssessmentPT" />
  </plnk:partnerLinkType>
  <plnk:partnerLinkType name="approvalLT">
    <plnk:role name="approver" portType="approval:approvalPT" />
  </plnk:partnerLinkType>

  <wsdl:portType name="loanServicePT">
    <wsdl:operation name="request">
      <wsdl:input message="common:creditInformationMessage" />
      <wsdl:output message="common:approvalMessage" />
    </wsdl:operation>
  </wsdl:portType>

  <binding name="loanServicePTSOAPBinding" type="tns:loanServicePT">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="request">
      <soap:operation soapAction="http://orchestra.ow2.org/loanApproval/loanService"/>
      <input>
        <soap:body use="literal" namespace="http://orchestra.ow2.org/loanApproval/loanService" />
      </input>
      <output>
        <soap:body use="literal" namespace="http://orchestra.ow2.org/loanApproval/loanService" />
      </output>
    </operation>
  </binding>

  <service name="loanServiceServiceBP">
    <port name="loanServicePort" binding="tns:loanServicePTSOAPBinding">
      <soap:address location="http://localhost:${HttpDefaultPort}/orchestra/loanServicePort"/>
    </port>
  </service>

</wsdl:definitions>
